#ifndef TOOLTIPLABEL_H
#define TOOLTIPLABEL_H

#include <QWidget>
#include <QGraphicsOpacityEffect>

namespace Ui {
class TooltipLabel;
}

class TooltipLabel : public QWidget
{
    Q_OBJECT

public:
    explicit TooltipLabel(QWidget *parent = 0);
    ~TooltipLabel();

public slots:
    void show();
    void updateText(QString text);
    void updateOpacity(double opacity);
    void hide();

private:
    Ui::TooltipLabel *ui;
    QGraphicsOpacityEffect effect;
    bool isHidden;
};

#endif // TOOLTIPLABEL_H
